StackScanAgentConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.StackScanAgentConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface StackScanAgentConfiguration

All Superinterfaces:
  AgentConfiguration, Configuration, ModelObject, java.io.Serializable

    public interface StackScanAgentConfiguration

extends AgentConfiguration

Configuration for the StackScanSensor

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getCombinerOSRules()`
`java.lang.String` | `getConfidenceThreshold()`
`java.lang.String` | `getFingerprintFile()`
`java.lang.String` | `getIpscanThreads()`
`java.lang.String` | `getNmapExec()`
`java.lang.String` | `getOsTimeoutMs()`
`java.lang.String` | `getPortscanThreads()`
`java.lang.String` | `getServicesFileParserFile()`
`java.lang.String` | `getTcpPorts()`
`java.lang.String` | `getTcpTimeoutMs()`
`java.lang.String` | `getUdpPorts()`
`java.lang.String` | `getUdpTimeoutMs()`
`java.lang.String` | `getWindowsSessionTimeout()`
`boolean` | `hasCombinerOSRules()`
`boolean` | `hasConfidenceThreshold()`
`boolean` | `hasFingerprintFile()`
`boolean` | `hasIpscanThreads()`
`boolean` | `hasNmapExec()`
`boolean` | `hasOsTimeoutMs()`
`boolean` | `hasPortscanThreads()`
`boolean` | `hasServicesFileParserFile()`
`boolean` | `hasTcpPorts()`
`boolean` | `hasTcpTimeoutMs()`
`boolean` | `hasUdpPorts()`
`boolean` | `hasUdpTimeoutMs()`
`boolean` | `hasWindowsSessionTimeout()`
`void` | `setCombinerOSRules(java.lang.String combinerOSRules)`
`void` | `setConfidenceThreshold(java.lang.String confidenceThreshold)`
`void` | `setFingerprintFile(java.lang.String file)`
`void` | `setIpscanThreads(java.lang.String ipScanThreads)`
`void` | `setNmapExec(java.lang.String nmapExec)`
`void` | `setOsTimeoutMs(java.lang.String osTimeout)`
`void` | `setPortscanThreads(java.lang.String portScanThreads)`
`void` | `setServicesFileParserFile(java.lang.String servicesParserFile)`
`void` | `setTcpPorts(java.lang.String tcpports)`
`void` | `setTcpTimeoutMs(java.lang.String tcpTimeout)`
`void` | `setUdpPorts(java.lang.String udpports)`
`void` | `setUdpTimeoutMs(java.lang.String udpTimeout)`
`void` | `setWindowsSessionTimeout(java.lang.String windowsSessionTimeout)`

Methods inherited from interface com.collation.platform.model.discovery.agent.AgentConfiguration
`getAgentClassName, getBidiConfigFlag, getBidiConfigFormat, getBidiProfile, getClassPath, getObjectVersion, getOriginalName, getScopeSetName, getSeedClassName, getTemplateClassName, hasAgentClassName, hasBidiConfigFlag, hasBidiConfigFormat, hasBidiProfile, hasClassPath, hasObjectVersion, hasOriginalName, hasScopeSetName, hasSeedClassName, hasTemplateClassName, setAgentClassName, setBidiConfigFlag, setBidiConfigFormat, setBidiProfile, setClassPath, setObjectVersion, setOriginalName, setScopeSetName, setSeedClassName, setTemplateClassName`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getUdpPorts

    java.lang.String getUdpPorts()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUdpPorts

    void setUdpPorts(java.lang.String udpports)

### hasUdpPorts

    boolean hasUdpPorts()

### getTcpPorts

    java.lang.String getTcpPorts()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTcpPorts

    void setTcpPorts(java.lang.String tcpports)

### hasTcpPorts

    boolean hasTcpPorts()

### getFingerprintFile

    java.lang.String getFingerprintFile()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFingerprintFile

    void setFingerprintFile(java.lang.String file)

### hasFingerprintFile

    boolean hasFingerprintFile()

### getServicesFileParserFile

    java.lang.String getServicesFileParserFile()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServicesFileParserFile

    void setServicesFileParserFile(java.lang.String servicesParserFile)

### hasServicesFileParserFile

    boolean hasServicesFileParserFile()

### getIpscanThreads

    java.lang.String getIpscanThreads()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIpscanThreads

    void setIpscanThreads(java.lang.String ipScanThreads)

### hasIpscanThreads

    boolean hasIpscanThreads()

### getPortscanThreads

    java.lang.String getPortscanThreads()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPortscanThreads

    void setPortscanThreads(java.lang.String portScanThreads)

### hasPortscanThreads

    boolean hasPortscanThreads()

### getTcpTimeoutMs

    java.lang.String getTcpTimeoutMs()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTcpTimeoutMs

    void setTcpTimeoutMs(java.lang.String tcpTimeout)

### hasTcpTimeoutMs

    boolean hasTcpTimeoutMs()

### getUdpTimeoutMs

    java.lang.String getUdpTimeoutMs()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUdpTimeoutMs

    void setUdpTimeoutMs(java.lang.String udpTimeout)

### hasUdpTimeoutMs

    boolean hasUdpTimeoutMs()

### getOsTimeoutMs

    java.lang.String getOsTimeoutMs()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOsTimeoutMs

    void setOsTimeoutMs(java.lang.String osTimeout)

### hasOsTimeoutMs

    boolean hasOsTimeoutMs()

### getNmapExec

    java.lang.String getNmapExec()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNmapExec

    void setNmapExec(java.lang.String nmapExec)

### hasNmapExec

    boolean hasNmapExec()

### getCombinerOSRules

    java.lang.String getCombinerOSRules()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCombinerOSRules

    void setCombinerOSRules(java.lang.String combinerOSRules)

### hasCombinerOSRules

    boolean hasCombinerOSRules()

### getWindowsSessionTimeout

    java.lang.String getWindowsSessionTimeout()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWindowsSessionTimeout

    void setWindowsSessionTimeout(java.lang.String windowsSessionTimeout)

### hasWindowsSessionTimeout

    boolean hasWindowsSessionTimeout()

### getConfidenceThreshold

    java.lang.String getConfidenceThreshold()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConfidenceThreshold

    void setConfidenceThreshold(java.lang.String confidenceThreshold)

### hasConfidenceThreshold

    boolean hasConfidenceThreshold()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD